[i855gm] Freeze shortly after X startup on Intel i855

Bug #447892 reported by kalessin on 2009-10-10
228
This bug affects 34 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Unknown
Critical
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Nominated for Lucid by AraKs

Bug Description

Binary package hint: xserver-xorg-video-intel

Summary: X server freezes shortly after startup. The problem is similar to several problems already reported with the intel driver, but opening a separate bug report (for the time being) since none of the existing entries quite matches my configuration. Feel free to mark it as duplicate if you think it is.

System: Kubuntu 'Karmic', updated yesterday (2009-10-09). Buffer dump is attached.

Description: The X server locks up shortly after it is started, no matter what I do. Usually this happens when the login procedure is just about finished, but I have also seen it after KDM waiting for some time for the login credentials. Mouse pointer remains functional, apart from that complete lock (esp. keyboard). Magic sys'req key still works, but when I try SReq-(R,E,I), KDM seems to try to restart X, resulting in a *really* complete lockup (even my ssh diagnostics session dies).

Notes: I had the same problem with Jaunty, but there it helped forcing the driver to use XAA instead of EXA. The newer driver does not support that ('Option "AccelMethod" is not used'), and cannot be forced to disable acceleration either ('Option "NoAccel" is not used'). And thanks to the new near-magic auto detection scheme, it is not even trivial to fall back to the VESA driver... so Karmic is completely and utterly non-usable on that machine.

kalessin (robert-fendt) wrote :
kalessin (robert-fendt) wrote :

Oh, forgot to mention: disabling Compiz does not work either (not surprising since this does not seem to be related to 3D issues but rather 2D acceleration).

Geir Ove Myhr (gomyhr) wrote :

Xorg.0.log from archive

summary: - Freeze shortly after X startup on Intel i855
+ [i855GM] Freeze shortly after X startup on Intel i855
tags: added: 855gm freeze
removed: i855
Geir Ove Myhr (gomyhr) wrote :
Geir Ove Myhr (gomyhr) wrote :
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Triaged
importance: Undecided → High
hrustov (hrustov) wrote :

i also affected by this bug.
Disabling DRI has no effect, log contains 'Option "DRI" is not used'

Peter Klotz (peter-klotz) wrote :

I am having the same problem on an Acer TravelMate 662 (i855GM) running Karmic Release Candidate.

I have the same problem on my Asus M5200N laptop with 855GM graphics chipset after I upgraded from Ubuntu 9.04 to 9.10 RC last week.

Created an attachment (id=30807)
dri_debug-2009-10-10.tar.gz

Forwarding a bug report from ubuntu user kalessin:

[Problem]
X server freezes shortly after startup.

[Original bug report]
Summary: X server freezes shortly after startup. The problem is similar to several problems already reported with the intel driver, but opening a separate bug report (for the time being) since none of the existing entries quite matches my configuration. Feel free to mark it as duplicate if you think it is.

System: Kubuntu 'Karmic', updated yesterday (2009-10-09). Buffer dump is attached.

Description: The X server locks up shortly after it is started, no matter what I do. Usually this happens when the login procedure is just about finished, but I have also seen it after KDM waiting for some time for the login credentials. Mouse pointer remains functional, apart from that complete lock (esp. keyboard). Magic sys'req key still works, but when I try SReq-(R,E,I), KDM seems to try to restart X, resulting in a *really* complete lockup (even my ssh diagnostics session dies).

Driver version: 2.9.0
X.Org X Server: 1.6.3

Created an attachment (id=30808)
Output of intel_gpu_dump

Created an attachment (id=30809)
Output of dmesg

Created an attachment (id=30810)
Xorg.0.log

Geir Ove Myhr (gomyhr) wrote :

I have reported this bug upstream at https://bugs.freedesktop.org/show_bug.cgi?id=24789.

kalessin, please subscribe to the upstream bug report by adding yourself to the CC: field, so that you may provide the intel developers with any additional information that they might need. I think they would be extra happy if you could test an updated Karmic with xorg-edgers (bleeding edge xorg-stuff, https://launchpad.net/~xorg-edgers/+archive/ppa) and possibly also the latest mainline kernel at (currently v2.6.32-rc5/, you only need to install the linux-image deb package for your platform), and provide fresh logs and batchbuffer dumps.

You other guys, it is impossible to say if you have the same bug or not, since there is a whole range of different underlying problems that may lead to a GPU hang. Feel free to follow this bug report and the upstream bug and test any proposed fixes. If your findings are different from kalessin's you are experiencing a different freeze bug and you should file a new bug report.

There are a few workarounds that you may try for the time being. One is testing a newer mainline kernel as mentioned above (low chance of working, but possible). Another is to disable kernel mode setting (KMS) by adding the option nomodeset to the kernel command line ('Esc' at boot to show the Grub boot menu, 'e' to edit the current choice, add 'nomodeset' after 'quiet' and 'splash'). In time there may also be alternative driver versions in the x-retro [1] and x-updates [2] PPAs. Currently, there isn't much there though.

[1]: https://launchpad.net/~ubuntu-x-swat/+archive/x-retro
[2]: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

Geir Ove Myhr (gomyhr) wrote :

Sorry, forgot to provide the URL for the mainline kernels: http://kernel.ubuntu.com/~kernel-ppa/mainline/

1 comments hidden view all 178 comments
Geir Ove Myhr (gomyhr) wrote :

Yes, get an account at bugs.freedesktop.org, and add yourself to the CC-field at https://bugs.freedesktop.org/show_bug.cgi?id=24789 .

I'm open to a better formulation. I previously only used "subscribe yourself to the upstream bug report" and that was sometimes misunderstood. Of course it would be nice if we could use the Launchpad OpenID at bugs.freedesktop.org, but I don't think that is possible, and it's not a big deal to get an account there.

If you are asked something that you don't understand, you may ask for help here. That way we keep the upstream bug report more to the point.

Btw, I forgot to mention that there is a similar bug report at bug 378147, but since its upstream seem to have several different freezes, I think it's best that we keep this separate for now.

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Artem Urvanov (artem62) on 2009-10-30
tags: added: intel xorg
kalessin (robert-fendt) wrote :

So, retried with updated Karmic (2009-10-31 13:00 CET), xorg.edgers, xserver-xorg-video-intel 2.9.0 (2:2.9.0-1ubuntu2), mainline kernel (2.6.32-020632rc5-generic). Still hanging, though now I get a complete system lockup when trying to read from /sys/kernel/debug/dri/0/i915_regs.

I have attached a complete archive, since I don't know what will be needed. If needed, I can also upload this at freedesktop.org.

Geir Ove Myhr (gomyhr) wrote :

Thank you for testing. Yes, please report this and upload the file upstream. The main activity for this bug will be there for now.

Created an attachment (id=30873)
Current set of logs and buffer dumps

I have re-tested today with current mainline kernel and newest available X.org drivers (from 'xorg-edgers' PPA in Ubuntu). No apparent change, other than now I cannot read from /sys/kernel/debug/dri/0/i915_regs without causing the system to lock immediately.

Summary of current test configuration:
-distribution: Kubuntu 'Karmic', updated 2009-10-31
-graphics chipset i855GM
-architecture: i386, Pentium M
-Centrino chipset
-driver package: xserver-xorg-video-intel 2:2.9.0-1ubuntu2
-kernel version: mainline, 2.6.32-020632rc5-generic

I had the same shocking problem at my ASUS M2400 with intel 855 video card. I didn't see this bug at the release notes - otherwise I'd saved a day installing and restoring my old system. Thank god, I made a full backup of my partition.
I tried the following installing modes
- Upgrading from Jaunty (freeze shortly after login or at login)
- Installing from CD - same effect
- starting up Live-CD - same effect
Switch to save graphics mode had also no effect.
This bug is already very old - I hope it will be closed as soon as possible. For the time beeing I have to stay with jaunty (with the same bug - but it "only" freezes once or twice a day).

Geir Ove Myhr (gomyhr) wrote :

Michael, there is no such thing as "the bug" that causes X to freeze, so you may or may not have the same bug as kalessin. An analogy would be bugs in a flight computer that cause a plane to fall down. As you probably understand such a bug could be in any number of places in the flight critical code. Bugs like this also typically only manifest itself on certain systems because of some particularities of the motherboard etc, so there probably was no way to predict that your system would freeze other than to test a LiveCD.

You may help to resolve this by filing a new bug report and providing the same information that kalassin has provided (see https://wiki.ubuntu.com/X/Troubleshooting/Freeze). Or you may wait and see if the fix for this bug fixes your problem as well.

kalessin (robert-fendt) wrote :

I have uploaded the current set of logs and buffer dumps upstream, together with a short comment on my current test configuration.

Tormod Volden (tormodvolden) wrote :

In Jaunty, we had 116_8xx_disable_dri.patch which turned off DRI for i8xx cards:
"because it fails to run without freezing on i810 and i865G chips. (See LP 304871)"

So that might explain why we now see some trouble on i8xx cards since DRI got reenabled.

As a stop-gap solution for those who have no other option, I have prepared a "retro" package of 2.7. It is currently in https://launchpad.net/~intel-gfx-testing/+archive/ppa and if it works out for you I will move it to the retro PPA.

Tormod Volden (tormodvolden) wrote :

Note that downgrading to 2.7 is a last resort and seldom very useful. With 2.7 (and Jaunty) DRI was disabled for i8xx cards, so you might as well run with latest 2.9 but disable DRI if you have trouble with your i8xx card. A minimal xorg.conf for this would be:
Section "Device"
 Identifier "my-old-i8xx"
 Driver "intel"
 Option "DRI" "off"
EndSection

Jane Atkinson (irihapeti) wrote :

I have an old Toshiba Satellite A10 which has been freezing in the manner described since installing Karmic. (It previously had Hardy on it.)

The relevant portion of the output of lshw reads:

 *-display:0
             description: VGA compatible controller
             product: 82852/855GM Integrated Graphics Device
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 01
             width: 32 bits
             clock: 33MHz
             capabilities: pm bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:10 memory:d8000000-dfffffff(prefetchable) memory:d0000000-d007ffff ioport:eff8(size=8)

I've installed the xorg.conf from the message above and will see what happens.

Jane Atkinson (irihapeti) wrote :

No luck - it froze again.

Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress
karin meyer (kmeyer) wrote :

I have a similar problem on my Dell D600 laptop when booting with the 2.6.31-14 kernel which was part of the upgrade to 9.10;
basically I get one mouse-click & then the system freezes - ALt-CTRL-DEl doesn't work and I have to shut down by pulling the
powerplug & removing the battery.
if I boot with the previous kernel from jaunty - 2.6.28-16, this freeze does not occur; so that's what I am doing for now.

Albert Damen (albrt) wrote :

The first gpu dump provided by kalessin shows a mix of 2D and 3D instructions without flushes in between. The latest -intel driver from xorg-edgers contains a new debugging option [1][2] that may help to fix this problem, but it has to be enabled by adding an option to xorg.conf.

Kalessin, it would be very interesting if you could test xserver-xorg-video-intel from xorg-edgers again, this time also adding the line:
 Option "DebugFlushCaches" "1"
to the driver section in xorg.conf (similar to the DRI option in comment 19).

[1] : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=86bc23ab5da34137c82250395c68aa92ecd88a24
[2] : http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=3c0815abf28744e215bea286e71d935cd486955a

Jane Atkinson (irihapeti) wrote :

I tried the retro version of xserver-xorg-video-intel on my laptop. It lasted longer, but eventually locked up as before. I also noticed some distortion such as part of a line of text (in Firefox) totally disappearing, and white lines across some bold type.

I've decided to put Hardy back on for the moment, but I have done a complete archive of the 9.10 system, so if anyone needs the log files, they are available.

I encounter a problem very very close on my Fujistu-siemens Amilo M7400 with i855GM GPU just after upgarding from 9.04 to 9.10.

Is it useful that i post my Batchbuffer dump & logs ?
What can i do to help solve ?

Thank

On Thu, Nov 5, 2009 at 2:29 PM, Pierre Monlong wrote:
> I encounter a problem  very very close on my Fujistu-siemens Amilo M7400
> with i855GM GPU just after upgarding from 9.04 to 9.10.
>
> Is it useful that i post my Batchbuffer dump & logs ?
> What can i do to help solve ?

Pierre, it could be useful if you post your bachbuffer dumps and logs,
but not at this bug report, since it makes it harder to keep track of
which files come from where. If you want to help, I suggest you do the
following:

1. Update to xorg-edgers and add the DebugFlushCaches option to
xorg.conf as described in Albert Damen's comment.
2. File a new bug report with `ubuntu-bug xserver-xorg-video-intel`.
This will upload many useful log files. Then add the bachbuffer dumps
to that bug report. Finally mark your new bug report as a duplicate of
this one.
3. Add a short comment here mentioning the bug number of your new bug
report (since there may be more duplicates in time and this gives us a
link to yours).

That way we have your files available with only a mouse click from
this bug report, but it is easy to keep track of which files come from
where.

Jane Atkinson (irihapeti) wrote :

I think that the problem I am dealing with on my laptop is not the same as this one, as it doesn't happen immediately on startup but sometimes takes many minutes to appear. I've run the batchbuffer dump routine (after restoring Karmic to the laptop). I've filed a new bug report: 477256

Geir Ove Myhr

i've created the new bug report with according traces (xorg-edgers and DebugFlushCaches)
see : https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/477972

Thank you

Created an attachment (id=31101)
Updated set of logs and buffer dumps

Slightly updated test case (hopefully not too many changed unknowns, had to do an system update):

-mainline kernel 2.6.32-020632rc6-generic, rc5 is still on the machine if wanted
-current X.org drivers from 'xorg edgers' PPA: 2:2.9.0+git20091106.dbb68168-0ubuntu0tormod

I have also enabled the Option DebugFlushCaches in xorg.conf. Updated batchbuffer dumps and logs are attached.

I do not know if this is relevant, but the X freeze produces lots of repeated lines in dmesg like this:

--------------------snip!--------------------
[ 180.008194] [drm] DAC-6: set mode 640x480 0
[ 180.498662] [drm] DAC-6: set mode 640x480 0
[ 288.356030] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[ 288.356040] render error detected, EIR: 0x00000000
[ 288.356044] i915: Waking up sleeping processes
[ 288.356055] [drm:i915_wait_request] *ERROR* i915_wait_request returns -5 (awaiting 6680 at 6679)
[ 288.356381] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
[ 288.356574] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
[ 288.356618] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
[ 288.356656] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
...
--------------------snip!--------------------

kalessin (robert-fendt) wrote :

So, finally got round to creating updated logs (including DebugFlushCaches). Updated upstream information, duplicating here just in case.
-----

Slightly updated test case (hopefully not too many changed unknowns, had to do an system update):

-mainline kernel 2.6.32-020632rc6-generic, rc5 is still on the machine if wanted
-current X.org drivers from 'xorg edgers' PPA: 2:2.9.0+git20091106.dbb68168-0ubuntu0tormod

I have also enabled the Option DebugFlushCaches in xorg.conf. Updated batchbuffer dumps and logs are attached.

I do not know if this is relevant, but the X freeze produces lots of repeated lines in dmesg like this:

--------------------snip!--------------------
[ 180.008194] [drm] DAC-6: set mode 640x480 0
[ 180.498662] [drm] DAC-6: set mode 640x480 0
[ 288.356030] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[ 288.356040] render error detected, EIR: 0x00000000
[ 288.356044] i915: Waking up sleeping processes
[ 288.356055] [drm:i915_wait_request] *ERROR* i915_wait_request returns -5 (awaiting 6680 at 6679)
[ 288.356381] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
[ 288.356574] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
[ 288.356618] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
[ 288.356656] [drm:i915_gem_execbuffer] *ERROR* Execbuf while wedged
...
--------------------snip!--------------------

Laszlo_Lebrun (lazlo-lebrun) wrote :

Indeed, Intel I9xxGM graphic cards appear to be a permanent pain under KDE.

Fairly enough, Gnome or XFCE hasn't got any problem with them and runs like a charm on the widely spread notebooks withI9xx GM graphic cards.

For the time being, my favourite workaround is to use UBUNTU with a Gnome session, where I have retrofitted the KDE desktop from Synaptics without using the KDE session at all.

So I can use Dolphin and many other KDE applications with the most chances of having them running the same way they would under KDE.
Without the "sleeping" KDE package, you can experience some discrepancies especially in the font handling and I believe the QT applications to be less stable.

Of course, I would really appreciate to have KDE fully running...
regards.
Laszlo

Bluetr@in (damien-babinet) wrote :

Same problem but the Laptop (Toshiba S A10-521) freeze some time after hours of work and some time few minutes after logging. Integrated Graphics Chipset : Intel(R) 852GM. Fresh Ubuntu Karmic installed.

Regards

DamienB

odi (odi-heise) wrote :

Maybe I can add some information: Got the same problem as Michael Langerhorst on an Asus M2400 after an upgrade vom Jaunty to Karmic -- X freezes some seconds after having started the desktop after login. Ctrl-alt-del does not work, Alt-Fn1 etc. does not work, Sysrq-k kills X-Server, but the screen remains black and the machine is unusable (did not try to ssh it).

What I tried and what did _not_ help:

- kernel option nomodeset
- kernel options nomodeset and i915.modeset=0

What _did_ help however was using the latest kernel 2.6.29 from jaunty. Now X only crashes occasionally, and at least one occasion can be reproduced (klicking on a web site element in Firefox on a site not publicly accessible). There are some other pitfalls with using 2.6.29 in karmic, so this isn't a real solution -- it just gives you a machine somewhat usable. Have to go back to Jaunty.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Confirmed
Geir Ove Myhr (gomyhr) on 2009-11-14
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
Geir Ove Myhr (gomyhr) wrote :

kalessin, at bug 476817 which is another freeze bug on 855GM, it is reported that adding acpi=off on the kernel command line makes the freezes go away. Could you check if this is the case for you as well?

You other guys, we know that you also have freeze problems, but please don't report your own findings here. It is already difficult to filter out what symptoms kalessin has, and it gets more difficult the more people posts here. Please only post here if you have suggestions for what kalessin may try or it is otherwise relevant for his case. If you are totally convinced that you have the exact same bug and want to report your findings, it is actually better if you file your own bug report and mark it as a duplicate of this.

There are several freeze bugs on 855GM and those that have been tagged with the chipset name (855gm) and symptom (freeze) show up in this report:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bugs?field.tag=855gm%20freeze&field.tags_combinator=ALL (see https://wiki.ubuntu.com/X/Tagging for details on tags on xorg bugs).

Geir Ove Myhr (gomyhr) on 2009-11-18
tags: added: kubuntu
Bryce Harrington (bryce) on 2010-03-02
summary: - [i855GM] Freeze shortly after X startup on Intel i855
+ [i855] [i855GM] Freeze shortly after X startup on Intel i855
Bryce Harrington (bryce) on 2010-03-02
summary: - [i855] [i855GM] Freeze shortly after X startup on Intel i855
+ [i855gm] Freeze shortly after X startup on Intel i855
Changed in xserver-xorg-video-intel:
status: In Progress → Confirmed
98 comments hidden view all 178 comments
dentaku65 (dentaku65) wrote :

I can confirm this with Lucid Alpha 3
No chances to use/test Lucid on my box with Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
Starting with burned iso of Xubuntu:
1) With KMS freeze after the kernel starts
2) Without KMS (nomedeset) short time with garbage screen of Plymouth (coloured bottom bar), then freeze

I've created a preliminary patch that fixes gtt related cache coherency problems at least for my i855GM. Look here for instructions:

http://bugs.freedesktop.org/show_bug.cgi?id=26345#c61

(In reply to comment #53)
> I've created a preliminary patch that fixes gtt related cache coherency
> problems at least for my i855GM. Look here for instructions:
>
> http://bugs.freedesktop.org/show_bug.cgi?id=26345#c61
>

With your patch I get the above mentioned crash:

[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung

after playing a video.

If no video is played, Xorg seems quite stable (this is the most stable driver/Xorg combination since introduction of KMS in kernels).

dentaku65 (dentaku65) wrote :

Intel i855gm still unusable in Lucid Beta 1; tried Lubuntu iso
With KMS and without (nomodesetting) both failing after choose the option "Try Lubuntu without install"
Tried Safe Graphics Mode and it works; Lubuntu loads.
I don't know what Safe Graphics Mode means, but I quite sure that do not use intel driver.

Hi all,
Confirming the same 855GM revision 2 woes here too.

If comment #17 is true then commit e517a5e97080bbe52857bd0d7df9b66602d53c4d should be reverted upstream and marked REGRESSION.

Six months and no fix even after I said it didn't work before it was merged :
https://bugs.freedesktop.org/show_bug.cgi?id=23919#c9
Code that worked perfectly well has been dropped so that i915 works better.
855GM users don't care if your i915 card works much better. The old version worked just fine for us. Why break it and provide absolutely no working fix at our expense.

I tried the drm-intel-big-hammer.patch in this :

http://koji.fedoraproject.org/koji/buildinfo?buildID=163170

kernel
(* Mon Jan 11 2010 Kyle McMartin <email address hidden>
- drm-intel-big-hammer: fix IS_I855 macro.)

And while it prevents x freezing immediately after starting, x will only stay up for about an hour before crashing in exactly the same original way.

Is the patch in comment #53 designed to further improve the chances of 855GM actually working again when coupled with the big-hammer patch or is that new patch to be used without the big-hammer patch?

Just to so it's clear, Intel 855 owners have not been able to run current kernel versions with desktop Linux distributions for over six months now.

> --- Comment #55 from Tony White <email address hidden> 2010-03-24 21:40:03 PST ---
> Six months and no fix even after I said it didn't work before it was merged :
> https://bugs.freedesktop.org/show_bug.cgi?id=23919#c9
> Code that worked perfectly well has been dropped so that i915 works better.
> 855GM users don't care if your i915 card works much better. The old version
> worked just fine for us. Why break it and provide absolutely no working fix at
> our expense.

Please stop complaining. Chris Wilson and lately I have been beating our
heads against this problem for _weeks_. So yes, your problem _is_ being
looked at, it's just one of these _very_ hard things. And simply reverting
this commit is not an option, because it breaks stability for other
people.

I understand your frustration, after all I almost threw my i855 out the
window many times already ;) So if you want to help out (testing stuff is
always appreciated), I've opened a bz entry to track my latest trials at
fixing this:

http://bugs.freedesktop.org/show_bug.cgi?id=27187

Patch should apply against drm-intel-next (see the bug report for latest
details). You also need the very latest git version of xf86-video-intel,
Chris has fixed some unrelated hangs recently.

@Tony White: I am also an i855GM rev02 user and I have experienced that kind of frustration. The workaround for me was to use Xorg 1.6 and its compatible drivers, and if it was hard for me I can barely guess how hard it must have been for less experienced users than us.

Having tried most of the patches around, I can confirm that D.Vetter's patch is much better than the DRM intel big hammer patch; actually the "big hammer" produced a barely usable system (5 minutes at most), while I am now using Xorg 1.7 and the new intel drivers for more than a week with D.Vetter's patch.

I haven't yet tried the latest version of his patch (will do ASAP), but even the first version never crashes unless you play a video, and that might be the separate bug 26723

So thanks to Daniel, and let's help them to make this out! Yes it's a shame that a patch which broke older hardware in favor of new hardware was accepted without a glitch, but I wouldn't blame the people which is now working to fix this :)

I have personally been admitting to newbie linux users that linux was broken for their hardware, and that there was no short-term solution for them (and neither for me) - so perhaps this is changing right now.

Hi!
is there any need for another "driver-tester"? I would like to help because I am also affected by this problem.
If needed, how could I help?
Thanks

(In reply to comment #58)
> is there any need for another "driver-tester"? I would like to help because I
> am also affected by this problem.
> If needed, how could I help?

Daniel, if you head over to bug 27187, there is one DDX driver patch and one kernel patch you can test and provide feedback from.

AKrone (armin-akrone) wrote :

same thing with ubuntu ubuntu-10.04-beta1-desktop-i386.iso :
without any additive kernel parameters hung at boot with black screen,
with nomodeset went a bit further but froze at the end of the boot without showing the desktop.

@All
My comment was aimed only at whoever merged what was merged after I had posted that the very first patch would make this issue worse and whoever made the decision to remove ums support from the i915 gpu driver when 855 support was broken. I was angry at them. No one else. I'm sorry if my shouting was annoying but it appears I am being ignored when I report that something is not working here.
If I stop reporting, I won't get ignored. I can just go ahead and ignore myself instead.

With all the 855 threads on this bugzilla, I had read though a few of them before making that comment and couldn't see anything reassuring me that the problem was even fixable. Because it is an old card, I was guessing that the problem was being ignored and maybe because kms wasn't possible at all on the 855GM or no one with the ability to write code in C for the kernel had an 855GM machine. I guessed wrong, obviously but it wasn't until after I posted here, I found the separate thread Chris, Daniel and legolas are working on.

That's cool guys. You are actually trying to fix this problem and I and every other desktop Linux user with an 855 are in debt to you guys for trying so hard.
Thank You!
I had been patient for six months, I didn't see any chance of anything happening and thought the worst.

So, sorry about the complaining, It wasn't obvious to me that you guys were working on it and I won't post anything more until I can confirm that the latest patch works.
Thanks for all the effort gone into to try to fix this. I do, as I'm sure many others, appreciate it greatly.

@Tony: I think the bug was crushed with latest patch modification in bug 27187. The kernel patch is sufficient.

Also I no more verify all the other bugs so it is highly probable that it fixed also this one; I hope the original reporter and other people can confirm this.

Olie (a-launchpad-alkilde-dk) wrote :

I managed to install Lucid RC, using one additional workaround: You need to disable the i915 kernel module as well as the other fixes above. Here is a step-by-step procedure, which worked for me:

1: Download and boot the alternate install CD. At the boot prompt, press F6 and select "ACPI=off" (ESC exits the menu). Install as normal.

2: After installing, boot the system in "recovery mode", and go to "root shell prompt".

3: Create the file "/etc/modprobe.d/i915.conf" containing one line: "blacklist i915" (without the quotes).

4: Run the commands "depmod -a" and "update-initramfs -u".

5: Edit /etc/default/grub. Replace the line:
GRUB_CMDLINE_LINUX="acpi=off"
with
GRUB_CMDLINE_LINUX="nolapic nomodeset"
Then run "update-grub"

6: Finally, create the file /etc/X11/xorg.conf containing the text between the two lines below:
----begin xorg.conf (do not include this line) -----------
Section "Device"
 Identifier "Configured Video Device"
 Driver "vesa"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection
----end xorg.conf (do not include this line) -----------

7: That's it. Reboot with "shutdown -r now" and enjoy a working system.

This works on my Asus M2400N laptop with i855GM. I would appreciate if someone else could verify this procedure.

AraKs (aracnew) wrote :

The workaround proposed by Olie works (verified on MAXDATA Pro 5000X).

Blacklisting intel i915 driver is the only way to go, until a newer and working version gets released.
This should be the default behavior of ubuntu 10.04.

I've read somewhere that this approach was already adopted in earlier ubuntu releases, but as far as i know, this never applied to my laptop (the last ubuntu i know to work is 7.10).

I can confirm that the workaround in comment #89 mostly works on an ASUS M2400N. I could not boot with "acpi=off" as described in step 1, it locked up with a black screen. I had to do a text-mode install instead. After that, I continued from step 2 and everything went as described.

2.6.34 freezes exactly the same way as reported above. (CPU hung error in dmesg and a big bunch of I/O errors in Xorg.0.log.)

Moving large objects on the screen (scrolling a folder view, dragging a window) triggers the freeze almost immediately.

Is there a patch that can be applied to a 2.6.34 vanilla kernel and is supposed to fix this? AFAIK, the solution suggested here (https://bugs.freedesktop.org/show_bug.cgi?id=27187) still does not work properly.

(In reply to comment #62)
> 2.6.34 freezes exactly the same way as reported above. (CPU hung error in dmesg
> and a big bunch of I/O errors in Xorg.0.log.)
>
> Moving large objects on the screen (scrolling a folder view, dragging a window)
> triggers the freeze almost immediately.
>
> Is there a patch that can be applied to a 2.6.34 vanilla kernel and is supposed
> to fix this? AFAIK, the solution suggested here
> (https://bugs.freedesktop.org/show_bug.cgi?id=27187) still does not work
> properly.

This bug is perfectly fixed for me with patch in bug 27187

*** This bug has been marked as a duplicate of bug 27187 ***

Chris Halse Rogers (raof) wrote :

Ok! Ladies and Gentlemen! Chris Wilson of upstream fame has done some work to re-integrate a legacy driver for the Intel cards that have been hard done by in the GEM transition.

The xserver-xorg-video-intel packages in https://edge.launchpad.net/~raof/+archive/aubergine have a GEM-less legacy driver re-integrated which is activated when KMS is disabled - which it is by default on your card for Lucid.

It would be useful if you could remove any work-arounds you've used to get your system more stable and test the drivers from this PPA. They should hopefully end up slightly more stable than the drivers in Ubuntu 9.04 (Jaunty), which were the last set of drivers to not use the GEM memory manager, and so significantly more stable than the drivers in Ubuntu 9.10 and Ubuntu 10.04 (Karmic and Maverick).

Could you please test the drivers from this PPA and report your experiences with them?

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Chris Halse Rogers (raof)
status: Triaged → Incomplete
Jane Atkinson (irihapeti) wrote :

Still freezing on Toshiba Satellite A10, unfortunately. I've had to restart in safe graphics mode. The system boots as far as "checking battery state", and then locks up entirely.

Sergi Sales (sergi-sales) wrote :

Hi all,
in my Acer Travelmate 380 with a "VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)" the gdm process didn't even start..
Ubuntu 10.04 and the "vesa" driver is the only workaround that worked for me..

Olie (a-launchpad-alkilde-dk) wrote :

Thank you for still working on this.
Unfortunately, it does not work for me either. I upgraded libdrm2 and xserver-xorg-video-intel from raof ppa, removed all GRUB options, removed i915 blacklist and removed the xorg.conf file. My laptop froze with a black screen before i reached the boot prompt, and I could not even reboot by REISUB magic keys.

This is on an ASUS M2400N running Ubuntu 10.04, xfce desktop.

Olie (a-launchpad-alkilde-dk) wrote :

Sorry, I meant that the laptop froze before the login screen, not the boot screen.

Ben Straton (fanum) wrote :

I have not tested this PPA, since I have already found a working solution for this issue, and have updated the official Ubuntu wiki documentation page:

https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes

Jane Atkinson (irihapeti) wrote :

I've removed the raof PPA using ppa-purge and installed glasen's PPA instead. I've run the laptop for several hours, including with desktop effects (though only some of the time). So far, I've had no problems.

Olie (a-launchpad-alkilde-dk) wrote :

I have also removed the raof packages, and I am now using the glasen PPA using the "potential solution" and "workaround A" from the wiki link in comment #97. This seems to be working without problems.

Chris Halse Rogers (raof) wrote :

I've got another version of the xserver-xorg-video-intel packages in https://edge.launchpad.net/~raof/+archive/aubergine .

This fixes a crash on startup that I didn't notice, so should work rather better than the previous one.

Jane Atkinson (irihapeti) wrote :

@Chris Halse Rogers:

I ran ppa-purge on both of the glasen PPAs and re-enabled the raof one, upgraded and rebooted. Toshiba A10 is running. I'm typing this message from it.

Just one thing I'm not sure about: the glasen ppa compiled some kernel module, and it may still be enabled. How would I check that and remove if necessary?

On Thu, 2010-07-22 at 07:41 +0000, Irihapeti wrote:
> @Chris Halse Rogers:
>
> I ran ppa-purge on both of the glasen PPAs and re-enabled the raof one,
> upgraded and rebooted. Toshiba A10 is running. I'm typing this message
> from it.
>
> Just one thing I'm not sure about: the glasen ppa compiled some kernel
> module, and it may still be enabled. How would I check that and remove
> if necessary?

I believe that the glassen ppa uses dkms to build the kernel module. In
that case, running “dkms status” should give you a list of what modules
have been built and installed.

Jane Atkinson (irihapeti) wrote :

I've removed the kernel module and reinstalled the kernel and headers. Now I'm getting some weird text artifacts that I haven't seen for a long time. I've attached a couple of screen shots.

Jane Atkinson (irihapeti) wrote :
Jane Atkinson (irihapeti) wrote :

I notice also that the laptop is running very hot at times. I had to shut down when the temp. got to 68C and showed no signs of dropping.

ilanrab (ilanrab) wrote :

On Dell Latitude D400 laptop, with 1GB RAM.
Initiated an upgrade, from 8.04lts to 10.04.1lts, a few days ago.
Uses the Intel 82852/82855 GM/GME graphics controller.

After the upgrade was completed:
At the end of the boot process, while the X-server is started, I get a blank screen and everything freezes.
To alleviate the problem I switched from using the Intel driver to the vesa driver (8-bit depth) by modifying the xorg.conf file and rebooting. That allows me to boot fine, but the graphics experience isn't pretty.

To alleviate the graphics problem I reinstalled the Intel drivers from the PPA. I used the following overview page: https://edge.launchpad.net/~raof/+archive/aubergine
The reinstallation of the Intel driver made NO difference to the situation.

Changed in xserver-xorg-video-intel:
importance: Unknown → Critical
status: Confirmed → Unknown
Chris Halse Rogers (raof) wrote :

I'm unassigning myself from this bug; I've got the needed feedback for Maverick, and we've gone with the safe option of fbdev.

I'll leave this bug open; there's still a reasonable chance we can get a proper fix, and apparently some i8xx documentation has just been released.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Triaged
assignee: Chris Halse Rogers (raof) → nobody
Novastorm (novastorm87) wrote :

Is some sort of fix for this ever going to make it into Lucid? Or are we expected to just pick and choose our own solutions?

Mike Rose (mr79) wrote :

I get the feeling we're expected to buy new hardware.

On Mon, 2010-10-18 at 10:56 +0000, Novastorm wrote:
> Is some sort of fix for this ever going to make it into Lucid? Or are we
> expected to just pick and choose our own solutions?
>

Ben Straton (fanum) wrote :

A fix is in the works, once the new intel drivers have been tested and
are stable they will be included. In the meantime, use the Glassen
PPA, that is where they are being tested.

Ben Straton

Sent from my iPhone

On Oct 18, 2010, at 5:33 AM, Mike Rose <email address hidden>
wrote:

> I get the feeling we're expected to buy new hardware.
>
>
> On Mon, 2010-10-18 at 10:56 +0000, Novastorm wrote:
>> Is some sort of fix for this ever going to make it into Lucid? Or
>> are we
>> expected to just pick and choose our own solutions?
>>
>
> --
> [i855gm] Freeze shortly after X startup on Intel i855
> https://bugs.launchpad.net/bugs/447892
> You received this bug notification because you are a direct subscriber
> of the bug.

Jane Atkinson (irihapeti) wrote :

@Ben Straton:

I'm pleased to hear that. I've been using that PPA for the last couple of months with no problems.

Irihapeti

maep (piconna) wrote :

I had frequent short freezes on Xubuntu 10.10. The patch from the Glasen PPA (note: only one 's') fixed my problems . There is a howto here: https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes (I know it's posted somewhere above but it took me a while to find it, so I might as well save others some time.)

Chris Halse Rogers (raof) wrote :

Bug cleanup: duping this to the master i855 freeze bug.

Displaying first 40 and last 40 comments. View all 178 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.